best_p=0;
best_i=0;
[k,z]=RADICI(best_p,best_i);
best_perf=PERFORMA(z);

for jp=1:1000,
    for ji=1:1000,
        kp=(jp/1000)*0.76; % rezolucija za kp je 0.005 (od 0 do 5)
        ki=(ji/1000)*3.04; % rezolucija za kp je 0.005 (od 0 do 5)
        [k,z]=RADICI(kp,ki);
        perf=PERFORMA(z);
        if perf < best_perf,
            best_p=kp; best_i=ki; best_perf=perf;
        end;
    end;
    jp,best_p,best_i,best_perf
end;
a=exp(-Tpwm*Wnom/(Le/Rs));  
Kp=best_p*2*Rs/(1-a)  
Ki=best_i*2*Rs/(1-a)  
Kc=Kp
[k,z]=RADICI(best_p, best_i);
 
fprintf('\n\nOptimalne vrednosti relativnih pojacanja PI regulatora:\n')
fprintf('p = %g\n', best_p)
fprintf('i = %g\n', best_i)
fprintf('\nPolovi funkcije spregnutog prenosa sa optimalnim PI regulatorom:\n')
z
resp = dstep(1,k,100);
stairs(resp); 


